%global meadalpha %{nil}
%global meadrel %{nil}
%global version_release None
%global version_major 2
%global version_minor 4
%global version_micro 29
%global commitid b55c91545d205f1a7266d0de28252f5b297d41e8
%global serial 17

%{?scl:%scl_package %{?scl_prefix}httpd}
%{!?scl:%global pkg_name %{name}}

%define with_zips 1
%define with_src_zips 1

%define jws %{nil}
%define docroot %{?scl:%_scl_root}/var/www
%if "%%{jws}X" == "X"
# No need to relocate when using SCL
%define contentdir %{docroot}
%else
%define contentdir %{docroot}/httpd%{jws}
%endif
%define suexec_caller apache
%define mmn 20120211
%define oldmmnisa %{mmn}-%{__isa_name}-%{__isa_bits}
%define mmnisa %{mmn}%{__isa_name}%{__isa_bits}
%define vstring Red Hat

%define scldir /opt/rh/jbcs-httpd24/root
%if 0%{?rhel}
%define with_freetds 0
%else
%define with_freetds 1
%endif

%if 0%{?fedora} < 18 && 0%{?rhel} < 7
%define dbdep db4-devel
%else
%define dbdep libdb-devel
%endif
# Drop automatic provides for module DSOs
%{?filter_setup:
%filter_provides_in %{_libdir}/httpd/modules/.*\.so$
%filter_setup
}
%global __requires_exclude libapr.*
%{?filter_setup:
%filter_from_requires /libapr.*/d
%filter_setup
}

#%%if %{?scl}0
%if "%%{jws}X" == "X"
%define _localstatedir %{_scl_root}/var
%define httpd_service %{scl_prefix}httpd.service
%define htcacheclean_service %{scl_prefix}htcacheclean.service
%define httpd_logrotate %{scl_prefix}httpd
%define httpd_init %{scl_prefix}httpd
%define htcacheclean_init %{scl_prefix}htcacheclean
%define httpd_logdir %{_root_localstatedir}/log/%{scl_prefix}httpd
%else
%define httpd_service httpd%{jws}.service
%define htcacheclean_service htcacheclean%{jws}.service
%define httpd_logrotate httpd%{jws}
%define httpd_init httpd%{jws}
%define htcacheclean_init htcacheclean%{jws}
%define httpd_logdir %{_localstatedir}/log/httpd%{jws}
%endif

Summary: Apache HTTP Server
Name: %{?scl_prefix}httpd%{jws}
Version: 2.4.29
Release: %{serial}%{?dist}
URL: http://httpd.apache.org/

Source0: httpd-%{commitid}.tar.gz
Source1: index.html
Source2: httpd.logrotate
Source3: httpd.sysconf
Source4: httpd-ssl-pass-dialog
Source5: httpd.tmpfiles
Source6: httpd.service
Source7: action-graceful.sh
Source8: action-configtest.sh
Source9: httpd.init
Source10: httpd.conf
Source11: 00-base.conf
Source12: 00-mpm.conf
Source14: 01-cgi.conf
Source15: 00-dav.conf
Source16: 00-proxy.conf
Source17: 00-ssl.conf
Source18: 01-ldap.conf
Source19: 00-proxyhtml.conf
Source20: userdir.conf
Source21: ssl.conf
Source22: welcome.conf
Source23: manual.conf
Source24: 00-systemd.conf
Source25: 01-session.conf
Source26: proxy_ajp.conf
%if "%{?rhel}" >= "7"
Source27: jbcs-httpd24-httpd.el7.fc
%else
Source27: jbcs-httpd24-httpd.el6.fc
%endif
Source28: jbcs-httpd24-httpd.te

# Documentation
Source30: README.confd
Source40: htcacheclean.service
Source41: htcacheclean.sysconf
Source42: htcacheclean.init

# build/scripts patches
Patch1: httpd-2.4.1-apctl.patch
%if "%{?rhel}" == "7"
Patch6: httpd-2.4.3-apctl-systemd.patch
# for zip, we need to revert the change
Patch26:  httpd-2.4.4-r1337344+.patch
Patch29:  httpd-2.4.10-mod_systemd.patch
Patch30:  httpd-2.4.10-detect-systemd.patch
Patch666: httpd-2.4.3-apctl-systemd-rev.patch
Patch6666: mod_systemd.patch
%endif

License: ASL 2.0
Group: System Environment/Daemons
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: autoconf, perl, pkgconfig, findutils, xmlto, python, libtool
BuildRequires: zlib-devel, libselinux-devel, openldap-devel, expat-devel
BuildRequires: pcre-devel >= 5.0, postgresql-devel, mysql-devel, unixODBC-devel
BuildRequires: jbcs-httpd24-nghttp2, jbcs-httpd24-nghttp2-devel, sqlite-devel, %{dbdep}
BuildRequires: jbcs-httpd24-apr, jbcs-httpd24-apr-util
BuildRequires: jbcs-httpd24-apr-devel, jbcs-httpd24-apr-util-devel
%if %{with_freetds}
BuildRequires: freetds-devel
%endif
%if "%{?rhel}" == "7"
BuildRequires: systemd-devel
%endif

Requires: /etc/mime.types, system-logos >= 7.92.1-1
Obsoletes: %{name}-suexec
Provides: webserver%{jws}
Provides: mod_dav%{jws} = %{version}-%{release}, %{name}-suexec = %{version}-%{release}
Provides: %{name}-mmn = %{mmn}, %{name}-mmn = %{mmnisa}, %{name}-mmn = %{oldmmnisa}
Requires: %{name}-tools = %{version}-%{release}
Obsoletes: %{name}-libs
Requires(pre): /usr/sbin/useradd
%if "%{?rhel}" == "7"
Requires(preun): systemd-units
Requires(postun): systemd-units
Requires(post): systemd-units
%else
Requires(post): chkconfig
%endif
%{?scl:Requires:%scl_runtime}

%description
The Apache HTTP Server is a powerful, efficient, and extensible
web server.

%if %{with_zips}
%package zip
Summary:     Container for the zipped distribution of the Apache HTTP server.
Group:       Development

%description zip
Container for the zipped distribution of the Apache HTTP server.
%endif

%if %{with_src_zips}
%package src-zip
Summary:     Container for the zipped source code of the Apache HTTP server.
Group:       Development

%description src-zip
Container for the source code of the Apache HTTP server.
%endif

%package devel
Group: Development/Libraries
Summary: Development interfaces for the Apache HTTP server
Obsoletes: secureweb-devel, apache-devel, stronghold-apache-devel
Requires: pkgconfig
Requires: %{name} = %{version}-%{release}

%description devel
The httpd-devel package contains the APXS binary and other files
that you need to build Dynamic Shared Objects (DSOs) for the
Apache HTTP Server.

If you are installing the Apache HTTP server and you want to be
able to compile or develop additional modules for Apache, you need
to install this package.

%package manual
Group: Documentation
Summary: Documentation for the Apache HTTP server
Requires: %{name} = %{version}-%{release}
Obsoletes: secureweb-manual, apache-manual
BuildArch: noarch

%description manual
The httpd-manual package contains the complete manual and
reference guide for the Apache HTTP server. The information can
also be found at http://httpd.apache.org/docs/2.2/.

%package tools
Group: System Environment/Daemons
Summary: Tools for use with the Apache HTTP Server

%description tools
The httpd-tools package contains tools which can be used with
the Apache HTTP Server.

#%package libs
#Group: System Environment/Daemons
#Summary: Tools for use with the Apache HTTP Server

#%description libs
#The httpd-libs package contains apr related libraries

#%global __provides_exclude_from ^%{_libdir}/.*.so.*$
#%{?filter_setup:
#%filter_from_provides /lib.*so.*/d
#%filter_setup
#}

%package -n %{?scl_prefix}mod_ssl%{jws}
Group: System Environment/Daemons
Summary: SSL/TLS module for the Apache HTTP Server
Epoch: 1
BuildRequires: jbcs-httpd24-openssl, jbcs-httpd24-openssl-devel, jbcs-httpd24-openssl-libs
Requires(post): jbcs-httpd24-openssl, jbcs-httpd24-openssl-libs, /bin/cat
Requires: jbcs-httpd24-openssl, jbcs-httpd24-apr-util-openssl
Requires(pre): %{name}
Requires: %{name} = 0:%{version}-%{release}, %{name}-mmn = %{mmnisa}
#Obsoletes: stronghold-mod_ssl

%description -n %{?scl_prefix}mod_ssl%{jws}
The mod_ssl module provides strong cryptography for the Apache Web
server via the Secure Sockets Layer (SSL) and Transport Layer
Security (TLS) protocols.

%package -n %{?scl_prefix}mod_proxy%{jws}_html
Group: System Environment/Daemons
Summary: HTML and XML content filters for the Apache HTTP Server
Requires: %{name} = 0:%{version}-%{release}, %{name}-mmn = %{mmnisa}
BuildRequires: libxml2-devel
Epoch: 1
Obsoletes: mod_proxy%{jws}_html < 1:2.4.1-2

%description -n %{?scl_prefix}mod_proxy%{jws}_html
The mod_proxy_html and mod_xml2enc modules provide filters which can
transform and modify HTML and XML content.

%package -n %{?scl_prefix}mod_ldap%{jws}
Group: System Environment/Daemons
Summary: LDAP authentication modules for the Apache HTTP Server
Requires: %{name} = 0:%{version}-%{release}, %{name}-mmn = %{mmnisa}

%description -n %{?scl_prefix}mod_ldap%{jws}
The mod_ldap and mod_authnz_ldap modules add support for LDAP
authentication to the Apache HTTP Server.

%package -n %{?scl_prefix}mod_session%{jws}
Group: System Environment/Daemons
Summary: Session interface for the Apache HTTP Server
Requires: %{name} = 0:%{version}-%{release}, %{name}-mmn = %{mmnisa}

%description -n %{?scl_prefix}mod_session%{jws}
The mod_session module and associated backends provide an abstract
interface for storing and accessing per-user session data.

%package selinux
Summary:        Selinux policy for JBCS httpd
Group:          System Environment/Daemons
BuildRequires:  checkpolicy, selinux-policy-devel
%if "%{?rhel}" == "6"
BuildRequires: /usr/share/selinux/devel/policyhelp
%endif

%{!?_selinux_policy_version: %global _selinux_policy_version %(sed -e 's,.*selinux-policy-\\([^/]*\\)/.*,\\1,' /usr/share/selinux/devel/policyhelp 2>/dev/null)}
%if "%{_selinux_policy_version}" != ""
Requires:      selinux-policy >= %{_selinux_policy_version}
%endif
Requires:       %{name} = %{version}-%{release}
Requires:	policycoreutils

%description selinux
This is the selinux policy for JBCS httpd.

%prep
#%%if %{?scl}0
%if "%%{jws}X" == "X"
export LD_LIBRARY_PATH=%{_libdir}:$LD_LIBRARY_PATH
%endif

%setup -q -n httpd-%{commitid}

#Striping down apachectl
sed -i -e "/ROOTDIR=/d" -e "s: \$OPTIONS::" -e "s: \$ROOTDIR::" support/apachectl.in

%patch1 -p1 -b .apctl
%if "%{?rhel}" == "7"
%patch6 -p1 -b .apctlsystemd
%patch26 -p1 -b .r1337344
%patch29 -p1 -b .systemd
%patch30 -p1 -b .detectsystemd
%patch6666 -p3 -b .systemd.c
%endif
#rm modules/ssl/ssl_engine_dh.c

# Patch in the vendor string and the release string
sed -i '/^#define PLATFORM/s/Unix/%{vstring}/' os/unix/os.h
sed -i 's/@RELEASE@/%{release}/' server/core.c

# Prevent use of setcap in "install-suexec-caps" target.
sed -i '/suexec/s,setcap ,echo Skipping setcap for ,' Makefile.in

# Safety check: prevent build if defined MMN does not equal upstream MMN.
vmmn=`echo MODULE_MAGIC_NUMBER_MAJOR | cpp -include include/ap_mmn.h | sed -n '/^2/p'`
if test "x${vmmn}" != "x%{mmn}"; then
   : Error: Upstream MMN is now ${vmmn}, packaged MMN is %{mmn}
   : Update the mmn macro and rebuild.
   exit 1
fi

: Building with MMN %{mmn}, MMN-ISA %{mmnisa} and vendor string '%{vstring}'

# Fix for JBPAPP-3740
sed -i -e '/  Installation$/{N;N;N;N;N;d;}' README

%if %{with_src_zips}
pushd $RPM_BUILD_DIR
mv httpd-%{commitid} httpd-%{version}

tar czf $RPM_BUILD_DIR/httpd-%{version}-src.tar.gz httpd-%{version}

mv httpd-%{version} httpd-%{commitid}
popd
%endif

%{__mkdir_p} selinux
%{__cp} -p %{SOURCE27} ./selinux/jbcs-httpd24-httpd.fc
%{__cp} -p %{SOURCE28} ./selinux/

%build

# regenerate configure scripts
# we use our own apr and apr-util sources in srclib/
%{__perl} -pi -e "s:Makefile.in:build/apr_rules.mk:g" \
	./buildconf

./buildconf --with-apr=%{_libdir}/apr-1 --with-apr-util=%{_libdir}/apr-1

# Before configure; fix location of build dir in generated apxs
%{__perl} -pi -e "s:\@exp_installbuilddir\@:%{_libdir}/httpd/build:g" \
	support/apxs.in

CFLAGS=$RPM_OPT_FLAGS
SH_LDFLAGS="-Wl,-z,relro,-z,now"
export CFLAGS SH_LDFLAGS
# Setting LDFLAGS equal to the global_ldflags value so that we
# append new values instead of clobber them.
%{?__global_ldflags:LDFLAGS="%__global_ldflags"}
test -d "%{scldir}/usr/lib64" && \
LDFLAGS="-L%{scldir}/usr/lib64 $LDFLAGS" || \
LDFLAGS="-L%{scldir}/usr/lib $LDFLAGS"
# Adding the "-z,now" option in LDFLAGS in order to gain
# full RELRO support
%if "%{?rhel}" == "7"
LDFLAGS="$LDFLAGS -Wl,-z,now"
%else
LDFLAGS="$LDFLAGS -Wl,-z,relro,-z,now"
%endif

export LDFLAGS

%ifarch ppc64 ppc64le
%global _performance_build 1
%endif

# Hard-code path to links to avoid unnecessary builddep
export LYNX_PATH=/usr/bin/links

# Build the daemon
%configure \
 	--prefix=%{_sysconfdir}/%{pkg_name} \
 	--exec-prefix=%{_prefix} \
 	--bindir=%{_bindir} \
 	--sbindir=%{_sbindir} \
 	--mandir=%{_mandir} \
	--libdir=%{_libdir} \
	--sysconfdir=%{_sysconfdir}/%{pkg_name}/conf \
	--includedir=%{_includedir}/%{pkg_name} \
	--libexecdir=%{_libdir}/%{pkg_name}/modules \
	--datadir=%{contentdir} \
    --with-crypto \
    --with-openssl=%{scldir}/usr \
    --with-nss \
    --with-apr=%{scldir}/usr \
    --with-apr-util=%{scldir}/usr \
    --with-pgsql \
    --with-mysql \
    --with-odbc \
    --with-sqlite3 \
    --with-berkeley-db \
    --without-sqlite2 \
    --without-gdbm \
    --with-ldap=ldap_r \
%if %{with_freetds}
    --with-freetds \
%else
    --without-freetds \
%endif
    --enable-layout=Fedora \
    --with-installbuilddir=%{_libdir}/%{pkg_name}/build \
    --enable-mpms-shared=all \
	--enable-suexec --with-suexec \
    --enable-suexec-capabilities \
	--enable-nonportable-atomics=yes \
	--with-suexec-caller=%{suexec_caller} \
	--with-suexec-docroot=%{docroot} \
	--without-suexec-logfile \
    --with-suexec-syslog \
	--with-suexec-bin=%{_sbindir}/suexec \
	--with-suexec-uidmin=500 --with-suexec-gidmin=100 \
    --enable-pie \
    --with-pcre \
    --enable-mods-shared=all \
	--enable-ssl --with-ssl=%{scldir}/usr \
	--disable-distcache \
	--enable-proxy --enable-proxy-fdpass \
        --enable-http2 \
        --enable-proxy-http2 \
    --enable-cache \
    --enable-disk-cache \
    --enable-ldap --enable-authnz-ldap \
    --enable-cgid --enable-cgi \
    --enable-authn-anon --enable-authn-alias \
    --enable-imagemap  \
    --enable-ident \
    --enable-cern-meta \
	$*
make %{?_smp_mflags}

pushd selinux
    make -f %{_root_datadir}/selinux/devel/Makefile
popd

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install

%if "%%{jws}X" != "X"
# Move build directory to correct position
mv $RPM_BUILD_ROOT%{_libdir}/httpd/build $RPM_BUILD_ROOT%{_libdir}/%{pkg_name}/
rm -rf $RPM_BUILD_ROOT%{_libdir}/httpd/build
%endif

# install var directory
mkdir $RPM_BUILD_ROOT%{_sysconfdir}/%{pkg_name}/var

# step 1: install main config file
rm $RPM_BUILD_ROOT%{_sysconfdir}/%{pkg_name}/conf/httpd.conf
install -m 644 $RPM_SOURCE_DIR/httpd.conf \
   $RPM_BUILD_ROOT%{_sysconfdir}/%{pkg_name}/conf/httpd.conf

# for holding mod_dav lock database
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/dav%{jws}
sed -i -e "s:dav/lockdb:dav%{jws}/lockdb:" $RPM_BUILD_ROOT%{_sysconfdir}/%{pkg_name}/conf/httpd.conf

# step 2: install conf file/directory
mkdir $RPM_BUILD_ROOT%{_sysconfdir}/%{pkg_name}/conf.d
install -m 644 $RPM_SOURCE_DIR/README.confd \
    $RPM_BUILD_ROOT%{_sysconfdir}/%{pkg_name}/conf.d/README

for f in welcome.conf ssl.conf manual.conf userdir.conf proxy_ajp.conf; do
  install -m 644 -p $RPM_SOURCE_DIR/$f \
        $RPM_BUILD_ROOT%{_sysconfdir}/%{pkg_name}/conf.d/$f
done

sed -i -e "s:/usr/share/httpd/noindex:%{contentdir}/noindex:g" \
    $RPM_BUILD_ROOT%{_sysconfdir}/%{pkg_name}/conf.d/welcome.conf

sed -i -e "s:/usr/share/httpd/manual:%{contentdir}/manual:g" \
    $RPM_BUILD_ROOT%{_sysconfdir}/%{pkg_name}/conf.d/manual.conf

sed -i -e "s|/var/www|%{docroot}|" -e "s|/usr/libexec/|%{_scl_root}/usr/libexec/|" -e "s|@installdir@|%{_scl_root}|" $RPM_BUILD_ROOT%{_sysconfdir}/%{pkg_name}/conf.d/ssl.conf

# step 3: install conf.modules.d file/directory
mkdir $RPM_BUILD_ROOT%{_sysconfdir}/%{pkg_name}/conf.modules.d
install -m 644 $RPM_SOURCE_DIR/README.confd \
    $RPM_BUILD_ROOT%{_sysconfdir}/%{pkg_name}/conf.d/README

for f in 00-base.conf 00-mpm.conf 01-cgi.conf 00-dav.conf \
         00-proxy.conf 00-ssl.conf 01-ldap.conf 00-proxyhtml.conf \
         01-ldap.conf 01-session.conf; do
  install -m 644 -p $RPM_SOURCE_DIR/$f \
        $RPM_BUILD_ROOT%{_sysconfdir}/%{pkg_name}/conf.modules.d/$f
done

%if "%{?rhel}" == "7"
  install -m 644 -p $RPM_SOURCE_DIR/00-systemd.conf \
        $RPM_BUILD_ROOT%{_sysconfdir}/%{pkg_name}/conf.modules.d/00-systemd.conf
%endif

#JBPAPP-9446
sed -i -e "s:LoadModule proxy_balancer_module:#LoadModule proxy_balancer_module:" $RPM_BUILD_ROOT%{_sysconfdir}/%{pkg_name}/conf.modules.d/00-proxy.conf

mkdir $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
for s in httpd htcacheclean; do
  install -m 644 -p $RPM_SOURCE_DIR/${s}.sysconf \
                    $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/${s}
  sed -i 's|\$localstatedir|%{_localstatedir}|' \
      $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/${s}
done

# https://issues.jboss.org/browse/JBPAPP-10212
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/run/%{pkg_name}

# create a prototype session cache
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/cache/mod_ssl%{jws}
touch $RPM_BUILD_ROOT%{_localstatedir}/cache/mod_ssl%{jws}/scache.{dir,pag,sem}

# create cache root
mkdir $RPM_BUILD_ROOT%{_localstatedir}/cache/mod_proxy

%if "%{?rhel}" == "7"
# Install systemd service files
mkdir -p $RPM_BUILD_ROOT%{_unitdir}
install -p -m 644 $RPM_SOURCE_DIR/httpd.service \
         $RPM_BUILD_ROOT%{_unitdir}/%{httpd_service}
install -p -m 644 $RPM_SOURCE_DIR/htcacheclean.service \
        $RPM_BUILD_ROOT%{_unitdir}/%{htcacheclean_service}

# Change the httpd.service paths
sed -i 's|\$sbindir|%{_sbindir}|' \
    $RPM_BUILD_ROOT%{_unitdir}/%{httpd_service}
sed -i 's|\$sysconfdir|%{_sysconfdir}|' \
    $RPM_BUILD_ROOT%{_unitdir}/%{httpd_service}
sed -i 's|\$localstatedir|%{_localstatedir}|' \
    $RPM_BUILD_ROOT%{_unitdir}/%{httpd_service}

# Change the htcacheclean.service paths
sed -i 's|\$sbindir|%{_sbindir}|' \
    $RPM_BUILD_ROOT%{_unitdir}/%{htcacheclean_service}
sed -i 's|\$sysconfdir|%{_sysconfdir}|' \
    $RPM_BUILD_ROOT%{_unitdir}/%{htcacheclean_service}
sed -i 's|\$localstatedir|%{_localstatedir}|' \
    $RPM_BUILD_ROOT%{_unitdir}/%{htcacheclean_service}
sed -i 's|\$httpd_service|%{httpd_service}|' \
    $RPM_BUILD_ROOT%{_unitdir}/%{htcacheclean_service}

%else
# install SYSV init stuff
mkdir -p $RPM_BUILD_ROOT%{_root_sysconfdir}/rc.d/init.d
install -m755 $RPM_SOURCE_DIR/httpd.init \
	$RPM_BUILD_ROOT%{_root_sysconfdir}/rc.d/init.d/%{httpd_init}
install -m755 $RPM_SOURCE_DIR/htcacheclean.init \
	$RPM_BUILD_ROOT%{_root_sysconfdir}/rc.d/init.d/%{htcacheclean_init}

# Change the httpd.init paths
sed -i 's|\$sbindir|%{_sbindir}|' \
    $RPM_BUILD_ROOT%{_root_sysconfdir}/rc.d/init.d/%{httpd_init}
sed -i 's|\$sysconfdir|%{_sysconfdir}|' \
    $RPM_BUILD_ROOT%{_root_sysconfdir}/rc.d/init.d/%{httpd_init}
sed -i 's|\$localstatedir|%{_localstatedir}|' \
    $RPM_BUILD_ROOT%{_root_sysconfdir}/rc.d/init.d/%{httpd_init}
sed -i 's|\$sclscripts|%{?_scl_scripts}|' \
    $RPM_BUILD_ROOT%{_root_sysconfdir}/rc.d/init.d/%{httpd_init}
sed -i -e "s|/run/httpd/httpd.pid|/run/%{name}/%{pkg_name}.pid|" \
    $RPM_BUILD_ROOT%{_root_sysconfdir}/rc.d/init.d/%{httpd_init}

# Change the htcacheclean.init paths
sed -i 's|\$sbindir|%{_sbindir}|' \
    $RPM_BUILD_ROOT%{_root_sysconfdir}/rc.d/init.d/%{htcacheclean_init}
sed -i 's|\$sysconfdir|%{_sysconfdir}|' \
    $RPM_BUILD_ROOT%{_root_sysconfdir}/rc.d/init.d/%{htcacheclean_init}
sed -i 's|\$localstatedir|%{_localstatedir}|' \
    $RPM_BUILD_ROOT%{_root_sysconfdir}/rc.d/init.d/%{htcacheclean_init}
sed -i 's|\$sclscripts|%{?_scl_scripts}|' \
    $RPM_BUILD_ROOT%{_root_sysconfdir}/rc.d/init.d/%{htcacheclean_init}
%endif

# Handle contentdir
# For some reason the build does not relocate /var/www
mv $RPM_BUILD_ROOT/var/www/{html,cgi-bin} $RPM_BUILD_ROOT%{contentdir}/
mkdir -p $RPM_BUILD_ROOT%{contentdir}/{html,error}
mkdir $RPM_BUILD_ROOT%{contentdir}/noindex
install -m 644 -p $RPM_SOURCE_DIR/index.html \
        $RPM_BUILD_ROOT%{contentdir}/noindex/index.html
rm -rf %{contentdir}/htdocs

# remove manual sources
find $RPM_BUILD_ROOT%{contentdir}/manual \( \
    -name \*.xml -o -name \*.xml.* -o -name \*.ent -o -name \*.xsl -o -name \*.dtd \
    \) -print0 | xargs -0 rm -f

# Strip the manual down just to English and replace the typemaps with flat files:
set +x
for f in `find $RPM_BUILD_ROOT%{contentdir}/manual -name \*.html -type f`; do
   if test -f ${f}.en; then
      cp ${f}.en ${f}
      rm ${f}.*
   fi
done
set -x

# Clean Document Root
rm -v $RPM_BUILD_ROOT%{contentdir}/html/*.html \
      $RPM_BUILD_ROOT%{contentdir}/cgi-bin/*

mv $RPM_BUILD_ROOT%{_bindir}/apxs $RPM_BUILD_ROOT%{_sbindir}/apxs

# bz1187601
rm $RPM_BUILD_ROOT%{_libdir}/%{pkg_name}/modules/mod_echo.so
rm $RPM_BUILD_ROOT%{_libdir}/%{pkg_name}/modules/mod_dialup.so

# JBCS-446 Fix build directory to lib/build
sed -i -e "s|\$(top_builddir)/build|\$(top_builddir)/lib/build|g" $RPM_BUILD_ROOT%{_libdir}/%{pkg_name}/build/special.mk
sed -i -e "s|\$(top_builddir)/build|\$(top_builddir)/lib/build|g" $RPM_BUILD_ROOT%{_libdir}/%{pkg_name}/build/rules.mk

%if %{with_zips}
pushd $RPM_BUILD_ROOT
mkdir -p httpd/{bin,include,lib/build,sbin,cache/mod_ssl%{jws},conf,conf.d,conf.modules.d,logs,run,var,modules,www/html,www/error,www/noindex}
cp -r $RPM_SOURCE_DIR/index.html httpd/www/noindex/index.html
cp -r $RPM_BUILD_ROOT%{_sysconfdir}/%{pkg_name}/conf.d/* httpd/conf.d/
cp -r $RPM_BUILD_ROOT%{_sysconfdir}/%{pkg_name}/conf.modules.d/* httpd/conf.modules.d/
cp -r $RPM_BUILD_ROOT%{_sysconfdir}/%{pkg_name}/conf/{httpd.conf,magic} httpd/conf/
cp -r $RPM_BUILD_ROOT%{contentdir}/{cgi-bin,error,icons} httpd/www
cp -r $RPM_BUILD_ROOT%{_localstatedir}/cache/* httpd/cache/
cp -r $RPM_BUILD_ROOT%{_sbindir}/* httpd/sbin/
#JBCS-135
#cp -r $RPM_BUILD_ROOT%{_bindir}/ap?-1-config httpd/bin/
sed -e "s|/usr/sbin/httpd|./httpd|" -e "s|/etc/sysconfig/httpd|../conf/httpd.conf|" \
 $RPM_BUILD_ROOT%{_sbindir}/apachectl > httpd/sbin/apachectl
sed -i 's|\$sysconfdir|/etc|' \
    httpd/conf/httpd.conf
sed -i 's|\$localstatedir|/var|' \
    httpd/conf/httpd.conf
cp -r $RPM_BUILD_ROOT%{_libdir}/%{pkg_name}/modules/* httpd/modules/
cp -r $RPM_BUILD_ROOT%{_libdir}/%{pkg_name}/build/* httpd/lib/build/
cp -r $RPM_BUILD_ROOT%{_libdir}/* httpd/lib/
rm -fr httpd/lib/%{pkg_name}
cp -r $RPM_BUILD_ROOT%{_includedir}/%{pkg_name}/* httpd/include/
%if "%{?rhel}" == "7"
patch httpd/sbin/apachectl $RPM_SOURCE_DIR/httpd-2.4.3-apctl-systemd-rev.patch
%endif
# Relocate back from SCL root
sed -i -e "s|%{_scl_root}||" \
    httpd/include/ap_config_layout.h \
    httpd/include/ap_config_auto.h \
    httpd/sbin/envvars \
    httpd/sbin/apachectl \
    httpd/sbin/envvars-std \
    httpd/lib/build/config.nice \
    httpd/lib/build/config_vars.mk \
    httpd/conf.d/welcome.conf \
    httpd/conf.d/manual.conf \
    httpd/conf.d/ssl.conf
#JBPAPP-3635
zip -q -r httpd-%{version}.zip httpd
rm -rf httpd
popd
%endif



#Fix JBPAPP-3883 and BZ1182341
sed -i -e "s|/etc/sysconfig/httpd|%{_sysconfdir}/sysconfig/%{pkg_name}|" \
    $RPM_BUILD_ROOT%{_sbindir}/apachectl

%if "%{?rhel}" == "7"
sed -i -e "s|httpd.service|%{name}.service|" $RPM_BUILD_ROOT%{_sbindir}/apachectl
%endif

# Adjust installation location in apxs
sed -i -e "s|my \$libdir = .*|my \$libdir = \"%{_libdir}\";|" \
    $RPM_BUILD_ROOT%{_sbindir}/apxs

# Remove everything duplicated with the base httpd package
rm -rvf $RPM_BUILD_ROOT%{_sysconfdir}/%{pkg_name}/logs

# Rename everything else if needed
%if "%%{jws}X" != "X"
for f in $RPM_BUILD_ROOT%{_sbindir}/*; do
    mv ${f} ${f}%{jws}
done

for f in $RPM_BUILD_ROOT%{_bindir}/*; do
    mv ${f} ${f}%{jws}
done

# Rename man pages
for f in $RPM_BUILD_ROOT%{_mandir}/man8/*.8; do
    mv ${f} ${f%.8}%{jws}.8
done

for f in $RPM_BUILD_ROOT%{_mandir}/man1/*.1; do
    mv ${f} ${f%.1}%{jws}.1
done
%endif

# Processing httpd.conf
sed -i 's|\$sysconfdir|%{_sysconfdir}|' \
    $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf/httpd.conf
sed -i 's|\$localstatedir|%{_localstatedir}|' \
    $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf/httpd.conf
sed -i -e "s|/run/httpd/httpd.pid|/run/%{name}/%{pkg_name}.pid|" $RPM_BUILD_ROOT%{_sysconfdir}/%{pkg_name}/conf/httpd.conf
echo "DefaultRuntimeDir %{_localstatedir}/run/%{name}" >> $RPM_BUILD_ROOT%{_sysconfdir}/%{pkg_name}/conf.modules.d/00-base.conf

%if "%{?rhel}" == "7"
# Extra config trimmed:
rm -v docs/conf/extra/httpd-{autoindex,ssl,userdir}.conf

# tmpfiles.d configuration
mkdir -p $RPM_BUILD_ROOT%{_prefix}/lib/tmpfiles.d
install -m 644 -p $RPM_SOURCE_DIR/httpd.tmpfiles \
   $RPM_BUILD_ROOT%{_prefix}/lib/tmpfiles.d/%{name}.conf
%endif

# Other directories
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/dav%{jws} \
         $RPM_BUILD_ROOT%{_localstatedir}/run/%{name}/htcacheclean

# Create cache directory
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/cache/%{pkg_name} \
         $RPM_BUILD_ROOT%{_localstatedir}/cache/%{pkg_name}/proxy \
         $RPM_BUILD_ROOT%{_localstatedir}/cache/%{pkg_name}/ssl

# Make the MMN accessible to module packages
echo %{mmnisa} > $RPM_BUILD_ROOT%{_includedir}/%{pkg_name}/.mmn
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/rpm
cat > $RPM_BUILD_ROOT%{_sysconfdir}/rpm/macros.%{pkg_name} <<EOF
%%_httpd_mmn %{mmnisa}
%%_httpd_apxs %{_sbindir}/apxs%{jws}
%%_httpd_modconfdir %{_sysconfdir}/%{pkg_name}/conf.modules.d
%%_httpd_confdir %{_sysconfdir}/%{pkg_name}/conf.d
%%_httpd_contentdir %{contentdir}
%%_httpd_moddir %{_libdir}/%{pkg_name}/modules
EOF

mkdir -pv $RPM_BUILD_ROOT%{_localstatedir}/log/%{pkg_name}

# symlinks for /etc/httpd
ln -s ../..%{_root_localstatedir}/log/%{pkg_name} $RPM_BUILD_ROOT%{_sysconfdir}/%{pkg_name}/logs
ln -s %{_localstatedir}/run/%{name} $RPM_BUILD_ROOT%{_sysconfdir}/%{pkg_name}/run
ln -s ../..%{_root_libdir}/%{pkg_name}/modules $RPM_BUILD_ROOT%{_sysconfdir}/%{pkg_name}/modules

# Processing apxs
sed -i "s|httpd/build|%{pkg_name}/build|" $RPM_BUILD_ROOT%{_sbindir}/apxs%{jws}
sed -i "s|%LIBDIR%/httpd|%LIBDIR%%{jws}/httpd|" $RPM_BUILD_ROOT%{_sbindir}/apxs%{jws}

# Processing config_vars.mk
sed -i "s|httpd/build|%{pkg_name}/build|" $RPM_BUILD_ROOT%{_libdir}/%{pkg_name}/build/config_vars.mk
sed -i -e "s|\${libdir}/%{pkg_name}/build|%{_libdir}/%{pkg_name}/build|g" $RPM_BUILD_ROOT%{_libdir}/%{pkg_name}/build/config_vars.mk

# install http-ssl-pass-dialog
mkdir -p $RPM_BUILD_ROOT%{_libexecdir}
install -m755 $RPM_SOURCE_DIR/httpd-ssl-pass-dialog \
	$RPM_BUILD_ROOT%{_libexecdir}/httpd-ssl-pass-dialog

%if "%{?rhel}" == "7"
    # Install action scripts
    mkdir -p $RPM_BUILD_ROOT%{_root_libexecdir}/initscripts/legacy-actions/%{name}
    for f in graceful configtest; do
        install -p -m 755 $RPM_SOURCE_DIR/action-${f}.sh \
                $RPM_BUILD_ROOT%{_root_libexecdir}/initscripts/legacy-actions/%{name}/${f}
    done
%endif

# Install logrotate config
mkdir -p $RPM_BUILD_ROOT%{_root_sysconfdir}/logrotate.d
%if "%{?rhel}" == "6"
sed -i -e "s/bin\/systemctl/sbin\/service/g" -e "s/reload jbcs-httpd24-httpd.service/jbcs-httpd24-httpd reload/g" $RPM_SOURCE_DIR/httpd.logrotate
%endif
install -m 644 -p $RPM_SOURCE_DIR/httpd.logrotate \
	$RPM_BUILD_ROOT%{_root_sysconfdir}/logrotate.d/%{name}

# Make ap_config_layout.h libdir-agnostic
sed -i '/.*DEFAULT_..._LIBEXECDIR/d;/DEFAULT_..._INSTALLBUILDDIR/d' \
    $RPM_BUILD_ROOT%{_includedir}/%{pkg_name}/ap_config_layout.h

# Fix path to instdso in special.mk
sed -i '/instdso/s,top_srcdir,top_builddir,' \
    $RPM_BUILD_ROOT%{_libdir}/%{pkg_name}/build/special.mk

# Remove unpackaged files
rm -vf \
      $RPM_BUILD_ROOT%{_libdir}/*.exp \
      $RPM_BUILD_ROOT%{_sysconfdir}/%{pkg_name}/conf/mime.types \
      $RPM_BUILD_ROOT%{_libdir}/%{pkg_name}/modules/*.exp \
      $RPM_BUILD_ROOT%{_libdir}/%{pkg_name}/build/config.nice \
      $RPM_BUILD_ROOT%{_bindir}/{ap?-config,dbmmanage} \
      $RPM_BUILD_ROOT%{_sbindir}/envvars* \
      $RPM_BUILD_ROOT%{contentdir}/htdocs/* \
      $RPM_BUILD_ROOT%{_mandir}/man1/dbmmanage.* \
      $RPM_BUILD_ROOT%{contentdir}/cgi-bin/*

rm -vrf $RPM_BUILD_ROOT%{_sysconfdir}/%{pkg_name}/conf/{original,extra}

%if "%{?rhel}" == "6"
# Make suexec a+rw so it can be stripped.  %%files lists real permissions
chmod 755 $RPM_BUILD_ROOT%{_sbindir}/suexec%{jws}
%endif

%pre
# Add the "apache" user
/usr/sbin/useradd -c "Apache" -u 48 \
	-s /sbin/nologin -r -d %{contentdir} apache 2> /dev/null || :

%post
%if "%{?rhel}" == "7"
%systemd_post %{pkg_name}.service %{?scl_prefix}htcacheclean%{jws}.service
%endif

%preun
%if "%{?rhel}" == "7"
%systemd_preun %{pkg_name}.service %{?scl_prefix}htcacheclean%{jws}.service
%endif

%postun
%if "%{?rhel}" == "7"
%systemd_postun
%endif

%if "%{?rhel}" == "7"
# Trigger for conversion from SysV, per guidelines at:
# https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd
%triggerun -- httpd < 2.2.21-5
# Save the current service runlevel info
# User must manually run systemd-sysv-convert --apply httpd
# to migrate them to systemd targets
/usr/bin/systemd-sysv-convert --save %{name}.service >/dev/null 2>&1 ||:

# Run these because the SysV package being removed won't do them
/sbin/chkconfig --del %{name} >/dev/null 2>&1 || :
%endif

%if "%{?rhel}" == "7"
%posttrans
test -f /etc/sysconfig/httpd-disable-posttrans || \
  /bin/systemctl try-restart %{name}.service %{?scl_prefix}htcacheclean%{jws}.service >/dev/null 2>&1 || :
%endif

%define sslcert %{scldir}/etc/pki/tls/certs/localhost.crt
%define sslkey %{scldir}/etc/pki/tls/private/localhost.key

%post -n %{?scl_prefix}mod_ssl%{jws}
umask 077

if [ -f %{sslkey} -a -f %{sslcert} ]; then
   exit 0
fi
%{_bindir}/openssl genrsa -rand /proc/apm:/proc/cpuinfo:/proc/dma:/proc/filesystems:/proc/interrupts:/proc/ioports:/proc/pci:/proc/rtc:/proc/uptime 2048 > %{sslkey} 2> /dev/null

FQDN=`hostname`
if [ "x${FQDN}" = "x" ]; then
   FQDN=localhost.localdomain
fi

cat << EOF | %{_bindir}/openssl req -new -key %{sslkey} \
         -x509 -sha256 -days 365 -set_serial $RANDOM -extensions v3_req \
         -out %{sslcert} 2>/dev/null
--
SomeState
SomeCity
SomeOrganization
SomeOrganizationalUnit
${FQDN}
root@${FQDN}
EOF

%post selinux
if [ $1 -eq 1 ] ; then
    /sbin/service %{name} status &> /dev/null ||:
    STATUS=$?

    if [ $STATUS -eq 0 ]; then
      /sbin/service %{name} stop &> /dev/null ||:
    fi

    /usr/sbin/semodule -i %{_datadir}/selinux/packages/%{name}/jbcs-httpd24-httpd.pp
    if /usr/sbin/selinuxenabled ; then
        /sbin/fixfiles -R %{name} restore || :

        # Clean up any remaining file contexts
        [ -d %{_sysconfdir}/httpd ] && \
          /sbin/restorecon -R %{_sysconfdir}/httpd &> /dev/null || :
        [ -d %{_libdir}/httpd ] && \
          /sbin/restorecon -R %{_libdir}/httpd &> /dev/null || :
        [ -d %{_sbindir} ] && \
          /sbin/restorecon -R %{_sbindir} &> /dev/null || :
        [ -d %{_localstatedir}/log/%{name} ] && \
          /sbin/restorecon -R %{_localstatedir}/log/%{name} &> /dev/null || :
        [ -d %{_localstatedir}/log/httpd ] && \
          /sbin/restorecon -R %{_localstatedir}/log/httpd &> /dev/null || :
        [ -d %{_localstatedir}/cache/httpd ] && \
          /sbin/restorecon -R %{_localstatedir}/cache/httpd &> /dev/null || :
        [ -d %{_localstatedir}/lib/dav ] && \
          /sbin/restorecon -R %{_localstatedir}/lib/dav &> /dev/null || :
        [ -d %{_localstatedir}/run/jbcs-httpd24-httpd ] && \
          /sbin/restorecon -R %{_localstatedir}/run/jbcs-httpd24-httpd &> /dev/null || :
        [ -d %{_localstatedir}/www ] && \
          /sbin/restorecon -R %{_localstatedir}/www &> /dev/null || :
    fi

    if [ $STATUS -eq 0 ]; then
      /sbin/service %{name} start &> /dev/null ||:
    fi
fi

%postun selinux
# Clean up after package removal
if [ $1 -eq 0 ]; then
    /sbin/service %{name} status &> /dev/null ||:
    STATUS=$?

    if [ $STATUS -eq 0 ]; then
        /sbin/service %{name} stop &> /dev/null ||:
    fi

    # Remove SELinux policy modules
    /usr/sbin/semodule -r %{name} &> /dev/null || :

    if /usr/sbin/selinuxenabled ; then
        /sbin/fixfiles -R %{name} restore || :

        # Clean up any remaining file contexts
        [ -d %{_sysconfdir}/httpd ] && \
          /sbin/restorecon -R %{_sysconfdir}/httpd &> /dev/null || :
        [ -d %{_libdir}/httpd ] && \
          /sbin/restorecon -R %{_libdir}/httpd &> /dev/null || :
        [ -d %{_sbindir} ] && \
          /sbin/restorecon -R %{_sbindir} &> /dev/null || :
        [ -d %{_localstatedir}/log/%{name} ] && \
          /sbin/restorecon -R %{_localstatedir}/log/%{name} &> /dev/null || :
        [ -d %{_localstatedir}/log/httpd ] && \
          /sbin/restorecon -R %{_localstatedir}/log/httpd &> /dev/null || :
        [ -d %{_localstatedir}/cache/httpd ] && \
          /sbin/restorecon -R %{_localstatedir}/cache/httpd &> /dev/null || :
        [ -d %{_localstatedir}/lib/dav ] && \
          /sbin/restorecon -R %{_localstatedir}/lib/dav &> /dev/null || :
        [ -d %{_localstatedir}/run/jbcs-httpd24-httpd ] && \
          /sbin/restorecon -R %{_localstatedir}/run/jbcs-httpd24-httpd &> /dev/null || :
        [ -d %{_localstatedir}/www ] && \
          /sbin/restorecon -R %{_localstatedir}/www &> /dev/null || :
    fi

    if [ $STATUS -eq 0 ]; then
        /sbin/service %{name} start &> /dev/null ||:
    fi
    
fi

%check
# Check the built modules are all PIC
if readelf -d $RPM_BUILD_ROOT%{_libdir}/%{pkg_name}/modules/*.so | grep TEXTREL; then
   : modules contain non-relocatable code
   exit 1
fi

%if %{with_zips}
install -dm 755 $RPM_BUILD_ROOT/%{_javadir}/jbossas-fordev
# Copy over zip for the zip subpackage
install -m 644 $RPM_BUILD_ROOT/httpd-%{version}.zip $RPM_BUILD_ROOT/%{_javadir}/jbossas-fordev/httpd-%{version}.zip
rm $RPM_BUILD_ROOT/httpd-%{version}.zip
%endif

%if %{with_src_zips}
install -dm 755 $RPM_BUILD_ROOT/%{_javadir}/jbossas-fordev
# Copy over source the src-zip subpackage
install -m 644 $RPM_BUILD_DIR/httpd-%{version}-src.tar.gz $RPM_BUILD_ROOT/%{_javadir}/jbossas-fordev/httpd-%{version}-src.tar.gz
%endif

# Ensure every loaded mod_* is actually built
mods=`grep -h ^LoadModule $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.modules.d/*.conf | sed 's,.*modules/,,'`
for m in $mods; do
  f=$RPM_BUILD_ROOT%{_libdir}/httpd/modules/${m}
  if ! test -x $f; then
    echo ERROR: Module $m is configured but not built.
    exit 1
  fi
done

install -p -m 644 -D selinux/jbcs-httpd24-httpd.pp $RPM_BUILD_ROOT%{_datadir}/selinux/packages/%{name}/jbcs-httpd24-httpd.pp

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)

%doc ABOUT_APACHE README CHANGES LICENSE VERSIONING NOTICE
%doc docs/conf/extra/*.conf

%dir %{_sysconfdir}/%{pkg_name}
%{_sysconfdir}/%{pkg_name}/modules
%{_sysconfdir}/%{pkg_name}/logs
%{_sysconfdir}/%{pkg_name}/run
%dir %{_sysconfdir}/%{pkg_name}/conf
%config(noreplace) %{_sysconfdir}/%{pkg_name}/conf/httpd.conf
%config(noreplace) %{_sysconfdir}/%{pkg_name}/conf/magic

%config(noreplace) %{_root_sysconfdir}/logrotate.d/%{name}

%dir %{_sysconfdir}/%{pkg_name}/conf.d
%{_sysconfdir}/%{pkg_name}/conf.d/README
%config(noreplace) %{_sysconfdir}/%{pkg_name}/conf.d/*.conf
%exclude %{_sysconfdir}/%{pkg_name}/conf.d/ssl.conf
%exclude %{_sysconfdir}/%{pkg_name}/conf.d/manual.conf

%dir %{_sysconfdir}/%{pkg_name}/conf.modules.d
%config(noreplace) %{_sysconfdir}/%{pkg_name}/conf.modules.d/*.conf
%exclude %{_sysconfdir}/%{pkg_name}/conf.modules.d/00-ssl.conf
%exclude %{_sysconfdir}/%{pkg_name}/conf.modules.d/00-proxyhtml.conf
%exclude %{_sysconfdir}/%{pkg_name}/conf.modules.d/01-ldap.conf
%exclude %{_sysconfdir}/%{pkg_name}/conf.modules.d/01-session.conf

%config(noreplace) %{_sysconfdir}/sysconfig/ht*
%if "%{?rhel}" == "7"
    %{_prefix}/lib/tmpfiles.d/%{name}.conf

    %dir %{_root_libexecdir}/initscripts/legacy-actions/%{name}
    %{_root_libexecdir}/initscripts/legacy-actions/%{name}/*
%endif

%{_sbindir}/apachectl%{jws}
%{_sbindir}/checkgid%{jws}
%{_sbindir}/fcgistarter%{jws}
%{_sbindir}/htcacheclean%{jws}
%{_sbindir}/httpd%{jws}
%{_sbindir}/rotatelogs%{jws}

%if "%{?rhel}" == "7"
%caps(cap_setuid,cap_setgid+pe) %attr(510,root,%{suexec_caller}) %{_sbindir}/suexec%{jws}
%else
%attr(4510,root,%{suexec_caller}) %{_sbindir}/suexec%{jws}
%endif

%dir %{_libdir}/%{pkg_name}
%dir %{_libdir}/%{pkg_name}/modules
%{_libdir}/%{pkg_name}/modules/mod*.so
%exclude %{_libdir}/%{pkg_name}/modules/mod_auth_form.so
%exclude %{_libdir}/%{pkg_name}/modules/mod_ssl.so
%exclude %{_libdir}/%{pkg_name}/modules/mod_*ldap.so
%exclude %{_libdir}/%{pkg_name}/modules/mod_proxy_html.so
%exclude %{_libdir}/%{pkg_name}/modules/mod_xml2enc.so
%exclude %{_libdir}/%{pkg_name}/modules/mod_session*.so

%dir %{contentdir}
%dir %{contentdir}/cgi-bin
%dir %{contentdir}/html
%dir %{contentdir}/icons
%dir %{contentdir}/error
%dir %{contentdir}/error/include
%dir %{contentdir}/noindex
%{contentdir}/icons/*
%{contentdir}/error/README
%{contentdir}/error/*.var
%{contentdir}/error/include/*.html
%{contentdir}/noindex/index.html

%attr(0710,root,apache) %dir %{_localstatedir}/run/%{name}
%attr(0700,apache,apache) %dir %{_localstatedir}/run/%{name}/htcacheclean
%attr(0700,root,root) %dir %{_localstatedir}/log/%{pkg_name}
%attr(0700,apache,apache) %dir %{_localstatedir}/lib/dav%{jws}
%attr(0700,apache,apache) %dir %{_localstatedir}/cache/%{pkg_name}
%attr(0700,apache,apache) %dir %{_localstatedir}/cache/%{pkg_name}/proxy

%{_mandir}/man8/*

%if "%{?rhel}" == "7"
%{_unitdir}/*.service
%else
%{_root_sysconfdir}/rc.d/init.d/%{httpd_init}
%{_root_sysconfdir}/rc.d/init.d/%{htcacheclean_init}
%endif

%files tools
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/man1/*
%doc LICENSE NOTICE
#%exclude %{_bindir}/apxs
#%exclude %{_mandir}/man1/apxs.1*
# JBCS-150
#%exclude %{_bindir}/apr-1-config
#%exclude %{_bindir}/apu-1-config

#%files libs
#JBCS-252
#%{_libdir}/libapr*
#%{_bindir}/apr-1-config
#%{_bindir}/apu-1-config

%files manual
%defattr(-,root,root)
%{contentdir}/manual
%config(noreplace) %{_sysconfdir}/%{pkg_name}/conf.d/manual.conf

%files -n %{?scl_prefix}mod_ssl%{jws}
%defattr(-,root,root)
%{_libdir}/%{pkg_name}/modules/mod_ssl.so
%config(noreplace) %{_sysconfdir}/%{pkg_name}/conf.modules.d/00-ssl.conf
%config(noreplace) %{_sysconfdir}/%{pkg_name}/conf.d/ssl.conf
%attr(0700,apache,root) %dir %{_localstatedir}/cache/%{pkg_name}/ssl
%{_libexecdir}/httpd-ssl-pass-dialog
%attr(0600,apache,root) %ghost %{_localstatedir}/cache/mod_ssl%{jws}/scache.dir
%attr(0600,apache,root) %ghost %{_localstatedir}/cache/mod_ssl%{jws}/scache.pag
%attr(0600,apache,root) %ghost %{_localstatedir}/cache/mod_ssl%{jws}/scache.sem

%files -n %{?scl_prefix}mod_proxy%{jws}_html
%defattr(-,root,root)
%{_libdir}/%{pkg_name}/modules/mod_proxy_html.so
%{_libdir}/%{pkg_name}/modules/mod_xml2enc.so
%config(noreplace) %{_sysconfdir}/%{pkg_name}/conf.modules.d/00-proxyhtml.conf

%files -n %{?scl_prefix}mod_ldap%{jws}
%defattr(-,root,root)
%{_libdir}/%{pkg_name}/modules/mod_*ldap.so
#%{_libdir}/apr-util-1/apr*
%config(noreplace) %{_sysconfdir}/%{pkg_name}/conf.modules.d/01-ldap.conf

%files -n %{?scl_prefix}mod_session%{jws}
%defattr(-,root,root)
%{_libdir}/%{pkg_name}/modules/mod_session*.so
%{_libdir}/%{pkg_name}/modules/mod_auth_form.so
%config(noreplace) %{_sysconfdir}/%{pkg_name}/conf.modules.d/01-session.conf

%files devel
%defattr(-,root,root)
%{_includedir}/%{pkg_name}
%{_sbindir}/apxs%{jws}
%{_mandir}/man1/apxs*.1*
%dir %{_libdir}/%{pkg_name}/build
%{_libdir}/%{pkg_name}/build/*.mk
%{_libdir}/%{pkg_name}/build/*.sh
#%{_libdir}/%{pkg_name}/build/*.awk
#%{_libdir}/%{pkg_name}/build/libtool
%{_sysconfdir}/rpm/macros.%{pkg_name}
# JBCS-150
#%{_bindir}/apr-1-config
#%{_bindir}/apu-1-config
#%{_libdir}/libapr*
#%dir %{_libdir}/pkgconfig
#%{_libdir}/pkgconfig/apr*

%if %{with_zips}
%files zip
%defattr(0644,root,root,0755)
%{_javadir}/jbossas-fordev/httpd-%{version}.zip
%endif

%if %{with_src_zips}
%files src-zip
%defattr(0644,root,root,0755)
%{_javadir}/jbossas-fordev/httpd-%{version}-src.tar.gz
%endif

%files selinux
%defattr(-,root,root,-)
%{_datadir}/selinux/packages/%{name}/jbcs-httpd24-httpd.pp
%doc selinux/*

%changelog
* Thu May 31 2018 Sokratis Zappis <szappis@redhat.com> - 2.4.29-17
- Rebuilding

* Thu May 31 2018 Sokratis Zappis <szappis@redhat.com> - 2.4.29-16
- Rebuilding

* Wed May 30 2018 Georgios Zaronikas- Karagiannis <gzaronik@redhat.com> - 2.4.29-15
- - JBCS httpd 2.4.29 ER1

* Fri May 25 2018 Hui Wang <huwang@redhat.com> - 2.4.29-14
- Fix JBCS-446 and JBCS-67 

* Tue May 01 2018 Georgios Zaronikas- Karagiannis <gzaronik@redhat.com> - 2.4.29-13
- DR4 Build

* Mon Apr 30 2018 Georgios Zaronikas- Karagiannis <gzaronik@redhat.com> - 2.4.29-12
- Building for DR4

* Wed Apr 25 2018 Hui Wang <huwang@redhat.com> - 2.4.29-11
- Fix JBCS-446

* Wed Apr 11 2018 Georgios Zaronikas- Karagiannis <gzaronik@redhat.com> - 2.4.29-10
- Build for DR3

* Wed Apr 11 2018 Georgios Zaronikas- Karagiannis <gzaronik@redhat.com> - 2.4.29-9
- Rebuilding DR3

* Wed Apr 11 2018 Georgios Zaronikas- Karagiannis <gzaronik@redhat.com> - 2.4.29-8
- Building for DR3 

* Mon Apr 09 2018 Georgios Zaronikas- Karagiannis <gzaronik@redhat.com> - 2.4.29-7
- Building for DR3

* Thu Mar 29 2018 Georgios Zaronikas- Karagiannis <gzaronik@redhat.com> - 2.4.29-6
- JBCS httpd 2.4.29 DR3

* Sun Mar 25 2018 Georgios Zaronikas- Karagiannis <gzaronik@redhat.com> - 2.4.29-5
- Building for DR2

* Tue Mar 06 2018 Jean-Frederic Clere <jclere@redhat.com> - 2.4.29-4
- rebuild after nghttp2 rebuild

* Tue Mar 06 2018 Jean-Frederic Clere <jclere@redhat.com> - 2.4.29-3
- rebuild after openssl rebuild

* Mon Mar 05 2018 Georgios Zaronikas Karagiannis <gzaronik@redhat.com> - 2.4.29-2
- Rebuild to get updated apr on rhel6

* Mon Mar 05 2018 Georgios Zaronikas Karagiannis <gzaronik@redhat.com> - 2.4.29-1
- 2.4.29

* Mon Mar 05 2018 Georgios Zaronikas Karagiannis <gzaronik@redhat.com> - 2.4.23-131
- Rebuilding

* Sun Mar 04 2018 Georgios Zaronikas Karagiannis <gzaronik@redhat.com> - 2.4.23-130
- Rebuild with updated apr-util

* Sun Mar 04 2018 Georgios Zaronikas Karagiannis <gzaronik@redhat.com> - 2.4.23-129
- JBCS httpd 2.4.29

* Thu Mar 01 2018 Georgios Zaronikas Karagiannis <gzaronik@redhat.com> - 2.4.23-128
- JBCS httpd 2.4.29

* Wed Feb 28 2018 Jean-Frederic Clere <jclere@redhat.com> - 2.4.23-126
- rebuild with new apr build files.

* Tue Feb 27 2018 Georgios Zaronikas Karagiannis <gzaronik@redhat.com> - 2.4.23-126
- httpd 2.4.29

* Mon Nov 06 2017 Georgios Zaronikas Karagiannis <gzaronik@redhat.com> - 2.4.23-125
- Building for SP3 DR1

* Thu Aug 03 2017 Patrick Sutherland <csutherl@redhat.com> - 2.4.23-121
- Build for 2.4.23 SP2

* Tue May 09 2017 Georgios Zaronikas Karagiannis <gzaronik@redhat.com> - 2.4.23-120
- Building for ER1

* Thu Apr 20 2017 Georgios Zaronikas Karagiannis <gzaronik@redhat.com> - 2.4.23-119
- Updating commit id and revision

* Tue Apr 18 2017 Georgios Zaronikas Karagiannis <gzaronik@redhat.com> - 2.4.23-118
- Rebulding for SP1 DR3

* Mon Mar 27 2017 Georgios Zaronikas Karagiannis <gzaronik@redhat.com> - 2.4.23-117
- Building for DR2

* Wed Mar 08 2017 Georgios Zaronikas Karagiannis <gzaronik@redhat.com> - 2.4.23-116
- Bumping up version

* Wed Mar 08 2017 Georgios Zaronikas Karagiannis <gzaronik@redhat.com> - 2.4.23-115
- Building for JBCS httpd 2.4.23 SP1 DR1

* Fri Mar 03 2017 George Zaronikas <gzaronik@redhat.com> - 2.4.23-115
- JBCS 297

* Tue Feb 07 2017 Jan Fnukal <hfnukal@redhat.com> - 2.4.23-109
- Update for SP1

* Thu Feb 02 2017 Georgios Zaronikas Karagiannis <gzaronik@redhat.com> - 2.4.23-106
- Add Obsoletes section in -libs package and add apr-1-config to libs.

* Thu Feb 02 2017 Georgios Zaronikas Karagiannis <gzaronik@redhat.com> - 2.4.23-105
- Moving libapr and libaprutil in new -libs package

* Thu Dec 01 2016 Georgios Zaronikas Karagiannis <gzaronik@redhat.com> - 2.4.23-102
- Build for CR1

* Wed Nov 23 2016 Georgios Zaronikas Karagiannis <gzaronik@redhat.com> - 2.4.23-101
- Fixing typo

* Wed Nov 23 2016 Georgios Zaronikas Karagiannis <gzaronik@redhat.com> - 2.4.23-100
- Fixing JBCS-155

* Mon Nov 14 2016 Georgios Zaronikas Karagiannis <gzaronik@redhat.com> - 2.4.23-99
- Rebuilding for ER4

* Thu Nov 03 2016 Georgios Zaronikas Karagiannis <gzaronik@redhat.com> - 2.4.23-98
- Removing patchelf step in mod_ssl, implemented in openssl pkg

* Wed Nov 02 2016 Georgios Zaronikas Karagiannis <gzaronik@redhat.com> - 2.4.23-97
- Rebuild

* Wed Nov 2 2016 George Zaronikas <gzaronik@redhat.com> - 2.4.23-97
- Resolves: JBCS-199

* Wed Oct 26 2016 Wei Nan Li <weli@redhat.com> - 2.4.23-96
- Rebuild

* Tue Oct 25 2016 Georgios Zaronikas Karagiannis <gzaronik@redhat.com> - 2.4.23-95
- Rebuilding for ER2

* Tue Oct 25 2016 Georgios Zaronikas Karagiannis <gzaronik@redhat.com> - 2.4.23-94
- Fixing config_vars.mk path issue

* Tue Oct 04 2016 Coty Sutherland <csutherl@redhat.com> - 2.4.23-94
- Resolves: JBCS-168 Distribute an selinux policy for httpd RPMs

* Mon Oct 3 2016 George Zaronikas <gzaronik@redhat.com> - 2.4.23-93
- JBCS httpd 2.4.23 ER1 build

* Thu Sep 29 2016 Coty Sutherland <csutherl@redhat.com> - 2.4.23-92
- Resolves: JBCS-171 RHEL6 RPM: Erroneously including rhel-7 resources

* Thu Sep 08 2016 Georgios Zaronikas Karagiannis <gzaronik@redhat.com> - 2.4.23-91
- Fixing JBCS-135

* Wed Sep 07 2016 Fernando Nasser <fnasser@redhat.com> - 2.4.23-90
- Fix JBCS-150

* Tue Aug 30 2016 George Zaronikas <gzaronik@redhat.com> - 2.4.23-87
- Added condition in freetds configuration parameter and dependency

* Mon Aug 29 2016 George Zaronikas <gzaronik@redhat.com> - 2.4.23-86
- Adding apr-related configuration parameters

* Fri Aug 26 2016 George Zaronikas <gzaronik@redhat.com> -2.4.23.84
- Adding -z,now option to LDFLAGS

* Wed Aug 24 2016 George Zaronikas <gzaronik@redhat.com> - 2.4.23-83
- Enabled OpenSSL and NSS crypto drivers for use in mod_session_crypto

* Fri Aug 19 2016 Patrick Sutherland <csutherl@redhat.com> - 2.4.23-82
- Build to include mod_proxy_hcheck

* Fri Aug 19 2016 Patrick Sutherland <csutherl@redhat.com> - 2.4.23-81
- Spec cleanup (unused patch removal) and addition of mod_proxy_fdpass module to the build

* Thu Jun 09 2016 Fernando Nasser <fnasser@redhat.com> - 2.4.6-76
- Use openssl from JBCS

* Fri Feb 12 2016 Fernando Nasser <fnasser@redhat.com> - 2.4.6-75
- JCSP-23 post script let failure when installing jbcs-httpd24-mod_ssl

* Thu Jan 28 2016 Fernando Nasser <fnasser@redhat.com> - 2.4.6-74
- JCSP-15 - Mod_ssl rpm postinstall script failure

* Wed Jan 27 2016 Fernando Nasser <fnasser@redhat.com> - 2.4.6-73
- SSLPassPhraseDialog value in ssl.conf prevents start of httpd service
- apachectl contains wrong path to httpd

* Mon Jan 25 2016 Jean-Frederic Clere <jclere@redhat.com> - 2.4.6-67
- use git.app.eng.bos.redhat.com repo insted patches.

* Tue Dec 22 2015 Fernando Nasser <fnasser@redhat.com> - 2.4.6-67
- Adjust installation location in apxs

* Tue Dec 15 2015 Fernando Nasser <fnasser@redhat.com> - 2.4.6-60
- Build in the jbcs-httpd24 collection

* Wed Nov 18 2015 Jean-Frederic Clere <jclere@redhat.com> - 2.4.6-59
- remove patch that causes a performance regression with mod_cluster tests.

* Wed Sep 23 2015 Hui Wang <huwang@redhat.com> - 2.4.6-57
- CVE-2015-3183
- CVE-2015-3185
- Sync patches with jb-ep-7.0-xb branch
 
* Tue Apr 28 2015 Weinan Li <weli@redhat.com> - 2.4.6-56
- JWS-92

* Mon Apr 20 2015 Weinan Li <weli@redhat.com> - 2.4.6-55
- Fix patch for el7

* Mon Apr 20 2015 Weinan Li <weli@redhat.com> - 2.4.6-54
- JWS-78
- JWS-77

* Tue Apr 14 2015 Weinan Li <weli@redhat.com> - 2.4.6-53
- Fix the systemd config problem

* Fri Apr 10 2015 Weinan Li <weli@redhat.com> - 2.4.6-52
- CR2

* Tue Mar 10 2015 Weinan Li <weli@redhat.com> - 2.4.6-51
- Fix line ending issues

* Mon Mar 09 2015 Weinan Li <weli@redhat.com> - 2.4.6-50
- JWS-53

* Sat Feb 28 2015 Weinan Li <weli@redhat.com> - 2.4.6-49
- multiple bug fixes
- CVE-2013-5704
- CVE-2014-3581

* Sun Feb 15 2015 Weinan Li <weli@redhat.com> - 2.4.6-48
- Minor fixes

* Thu Feb 12 2015 Weinan Li <weli@redhat.com> - 2.4.6-47
- Fix manual.conf

* Wed Feb 11 2015 Weinan Li <weli@redhat.com> - 2.4.7-46
- Rebuild to include multiple config fixes

* Wed Feb 11 2015 Weinan Li <weli@redhat.com> - 2.4.7-45
- Sync config structures with Windows

* Tue Feb 10 2015 Weinan Li <weli@redhat.com> - 2.4.7-44
- bz1178630

* Tue Jan 27 2015 Weinan Li <weli@redhat.com> - 2.4.7-43
- bz1182212
- bz1185767

* Thu Jan 08 2015 Weinan Li <weli@redhat.com> - 2.4.7-42
- Build for multiple bug fixes

* Wed Dec 31 2014 Weinan Li <weli@redhat.com> - 2.4.7-41
- BZ1172099 apachectl on RHEL7 x86_64 does not start httpd

* Fri Dec 19 2014 Weinan Li <weli@redhat.com> - 2.4.7-40
- Rebuild httpd to include multiple fixes

* Mon Dec 01 2014 Weinan Li <weli@redhat.com> - 2.4.7-39
- enable-nonportable-atomics=yes

* Thu Nov 20 2014 Weinan Li <weli@redhat.com> - 2.4.7-38
- Fix httpd-mmn provides

* Tue Nov 11 2014 Weinan Li <weli@redhat.com> - 2.4.7-37
- Enable zip bundle on all platforms

* Tue Nov 11 2014 Weinan Li <weli@redhat.com> - 2.4.7-36
- Disable suexec caps on el6

* Mon Nov 10 2014 Weinan Li <weli@redhat.com> - 2.4.7-35
- move apxs24 from bin to sbin

* Wed Nov 05 2014 Weinan Li <weli@redhat.com> - 2.4.7-34
- Rebuild to fix apr renaming bug in el7

* Tue Nov 04 2014 Weinan Li <weli@redhat.com> - 2.4.7-33
- remove zip bundle from ppc64 arch

* Tue Nov 04 2014 Weinan Li <weli@redhat.com> - 2.4.7-32
- fix apr jws3 renaming on el6

* Mon Nov 03 2014 Weinan Li <weli@redhat.com> - 2.4.7-31
- Add zip bundle

* Wed Oct 29 2014 Weinan Li <weli@redhat.com> - 2.4.7-30
- Using apr-jws3 and apr-util-jws3 in el6

* Thu Oct 16 2014 Weinan Li <weli@redhat.com> - 2.4.7-29
- Fix apxs

* Thu Oct 16 2014 Weinan Li <weli@redhat.com> - 2.4.7-28
- Fix 'Provides' sections

* Wed Oct 15 2014 Weinan Li <weli@redhat.com> - 2.4.6-27
- Rename package name from httpd to httpd24

* Sat Oct 11 2014 Weinan Li <weli@redhat.com> - 2.4.6-26
- Disable systemd for EL6

* Wed Oct 08 2014 Weinan Li <weli@redhat.com> - 2.4.6-25
- Rebuild for JWS3 to add ppc64

* Wed Sep 03 2014 Jan Kaluza <jkaluza@redhat.com> - 2.4.6-24
- allow reverse-proxy to be set via SetHandler (#1136290)

* Thu Aug 21 2014 Jan Kaluza <jkaluza@redhat.com> - 2.4.6-23
- fix possible crash in SIGINT handling (#1131006)

* Mon Aug 18 2014 Jan Kaluza <jkaluza@redhat.com> - 2.4.6-22
- ab: fix integer overflow when printing stats with lot of requests (#1092420)

* Mon Aug 11 2014 Jan Kaluza <jkaluza@redhat.com> - 2.4.6-21
- add pre_htaccess so mpm-itk can be build as separate module (#1059143)

* Tue Aug 05 2014 Jan Kaluza <jkaluza@redhat.com> - 2.4.6-20
- mod_ssl: prefer larger keys and support up to 8192-bit keys (#1073078)

* Mon Aug 04 2014 Jan Kaluza <jkaluza@redhat.com> - 2.4.6-19
- fix build on ppc64le by using configure macro (#1125545)
- compile httpd with -O3 on ppc64le (#1123490)
- mod_rewrite: expose CONN_REMOTE_ADDR (#1060536)

* Thu Jul 17 2014 Jan Kaluza <jkaluza@redhat.com> - 2.4.6-18
- mod_cgid: add security fix for CVE-2014-0231 (#1120608)
- mod_proxy: add security fix for CVE-2014-0117 (#1120608)
- mod_deflate: add security fix for CVE-2014-0118 (#1120608)
- mod_status: add security fix for CVE-2014-0226 (#1120608)
- mod_cache: add secutiry fix for CVE-2013-4352 (#1120608)

* Thu Mar 20 2014 Jan Kaluza <jkaluza@redhat.com> - 2.4.6-17
- mod_dav: add security fix for CVE-2013-6438 (#1077907)
- mod_log_config: add security fix for CVE-2014-0098 (#1077907)

* Wed Mar  5 2014 Joe Orton <jorton@redhat.com> - 2.4.6-16
- mod_ssl: improve DH temp key handling (#1057687)

* Wed Mar  5 2014 Joe Orton <jorton@redhat.com> - 2.4.6-15
- mod_ssl: use 2048-bit RSA key with SHA-256 signature in dummy certificate (#1071276)

* Fri Jan 24 2014 Daniel Mach <dmach@redhat.com> - 2.4.6-14
- Mass rebuild 2014-01-24

* Mon Jan 13 2014 Joe Orton <jorton@redhat.com> - 2.4.6-13
- mod_ssl: sanity-check use of "SSLCompression" (#1036666)
- mod_proxy_http: fix brigade memory usage (#1040447)

* Fri Jan 10 2014 Joe Orton <jorton@redhat.com> - 2.4.6-12
- rebuild

* Thu Jan  9 2014 Joe Orton <jorton@redhat.com> - 2.4.6-11
- build with -O3 on ppc64 (#1051066)

* Tue Jan  7 2014 Joe Orton <jorton@redhat.com> - 2.4.6-10
- mod_dav: fix locktoken handling (#1004046)

* Fri Dec 27 2013 Daniel Mach <dmach@redhat.com> - 2.4.6-9
- Mass rebuild 2013-12-27

* Fri Dec 20 2013 Joe Orton <jorton@redhat.com> - 2.4.6-8
- use unambiguous httpd-mmn (#1029360)

* Fri Nov   1 2013 Jan Kaluza <jkaluza@redhat.com> - 2.4.6-7
- mod_ssl: allow SSLEngine to override Listen-based default (#1023168)

* Thu Oct  31 2013 Jan Kaluza <jkaluza@redhat.com> - 2.4.6-6
- systemd: Use {MAINPID} notation in service file (#969972)

* Thu Oct 24 2013 Jan Kaluza <jkaluza@redhat.com> - 2.4.6-5
- systemd: send SIGWINCH signal without httpd -k in ExecStop (#969972)

* Thu Oct 03 2013 Jan Kaluza <jkaluza@redhat.com> - 2.4.6-4
- expand macros in macros.httpd (#1011393)

* Mon Aug 26 2013 Jan Kaluza <jkaluza@redhat.com> - 2.4.6-3
- fix "LDAPReferrals off" to really disable LDAP Referrals

* Wed Jul 31 2013 Jan Kaluza <jkaluza@redhat.com> - 2.4.6-2
- revert fix for dumping vhosts twice

* Mon Jul 22 2013 Joe Orton <jorton@redhat.com> - 2.4.6-1
- update to 2.4.6
- mod_ssl: use revised NPN API (r1487772)

* Thu Jul 11 2013 Jan Kaluza <jkaluza@redhat.com> - 2.4.4-12
- mod_unique_id: replace use of hostname + pid with PRNG output (#976666)
- apxs: mention -p option in manpage

* Tue Jul  2 2013 Joe Orton <jorton@redhat.com> - 2.4.4-11
- add patch for aarch64 (Dennis Gilmore, #925558)

* Mon Jul  1 2013 Joe Orton <jorton@redhat.com> - 2.4.4-10
- remove duplicate apxs man page from httpd-tools

* Mon Jun 17 2013 Joe Orton <jorton@redhat.com> - 2.4.4-9
- remove zombie dbmmanage script

* Fri May 31 2013 Jan Kaluza <jkaluza@redhat.com> - 2.4.4-8
- return 400 Bad Request on malformed Host header

* Mon May 20 2013 Jan Kaluza <jkaluza@redhat.com> - 2.4.4-6
- htpasswd/htdbm: fix hash generation bug (#956344)
- do not dump vhosts twice in httpd -S output (#928761)
- mod_cache: fix potential crash caused by uninitialized variable (#954109)

* Thu Apr 18 2013 Jan Kaluza <jkaluza@redhat.com> - 2.4.4-5
- execute systemctl reload as result of apachectl graceful
- mod_ssl: ignore SNI hints unless required by config
- mod_cache: forward-port CacheMaxExpire "hard" option
- mod_ssl: fall back on another module's proxy hook if mod_ssl proxy
  is not configured.

* Tue Apr 16 2013 Jan Kaluza <jkaluza@redhat.com> - 2.4.4-4
- fix service file to not send SIGTERM after ExecStop (#906321, #912288)

* Tue Mar 26 2013 Jan Kaluza <jkaluza@redhat.com> - 2.4.4-3
- protect MIMEMagicFile with IfModule (#893949)

* Tue Feb 26 2013 Joe Orton <jorton@redhat.com> - 2.4.4-2
- really package mod_auth_form in mod_session (#915438)

* Tue Feb 26 2013 Joe Orton <jorton@redhat.com> - 2.4.4-1
- update to 2.4.4
- fix duplicate ownership of mod_session config (#914901)

* Fri Feb 22 2013 Joe Orton <jorton@redhat.com> - 2.4.3-17
- add mod_session subpackage, move mod_auth_form there (#894500)

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.3-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Jan  8 2013 Joe Orton <jorton@redhat.com> - 2.4.3-15
- add systemd service for htcacheclean

* Tue Nov 13 2012 Joe Orton <jorton@redhat.com> - 2.4.3-14
- drop patch for r1344712

* Tue Nov 13 2012 Joe Orton <jorton@redhat.com> - 2.4.3-13
- filter mod_*.so auto-provides (thanks to rcollet)
- pull in syslog logging fix from upstream (r1344712)

* Fri Oct 26 2012 Joe Orton <jorton@redhat.com> - 2.4.3-12
- rebuild to pick up new apr-util-ldap

* Tue Oct 23 2012 Joe Orton <jorton@redhat.com> - 2.4.3-11
- rebuild

* Wed Oct  3 2012 Joe Orton <jorton@redhat.com> - 2.4.3-10
- pull upstream patch r1392850 in addition to r1387633

* Mon Oct  1 2012 Joe Orton <jorton@redhat.com> - 2.4.3-9.1
- restore "ServerTokens Full-Release" support (#811714)

* Mon Oct  1 2012 Joe Orton <jorton@redhat.com> - 2.4.3-9
- define PLATFORM in os.h using vendor string

* Mon Oct  1 2012 Joe Orton <jorton@redhat.com> - 2.4.3-8
- use systemd script unconditionally (#850149)

* Mon Oct  1 2012 Joe Orton <jorton@redhat.com> - 2.4.3-7
- use systemd scriptlets if available (#850149)
- don't run posttrans restart if /etc/sysconfig/httpd-disable-posttrans exists

* Mon Oct 01 2012 Jan Kaluza <jkaluza@redhat.com> - 2.4.3-6
- use systemctl from apachectl (#842736)

* Wed Sep 19 2012 Joe Orton <jorton@redhat.com> - 2.4.3-5
- fix some error log spam with graceful-stop (r1387633)
- minor mod_systemd tweaks

* Thu Sep 13 2012 Joe Orton <jorton@redhat.com> - 2.4.3-4
- use IncludeOptional for conf.d/*.conf inclusion

* Fri Sep 07 2012 Jan Kaluza <jkaluza@redhat.com> - 2.4.3-3
- adding mod_systemd to integrate with systemd better

* Tue Aug 21 2012 Joe Orton <jorton@redhat.com> - 2.4.3-2
- mod_ssl: add check for proxy keypair match (upstream r1374214)

* Tue Aug 21 2012 Joe Orton <jorton@redhat.com> - 2.4.3-1
- update to 2.4.3 (#849883)
- own the docroot (#848121)

* Mon Aug  6 2012 Joe Orton <jorton@redhat.com> - 2.4.2-23
- add mod_proxy fixes from upstream (r1366693, r1365604)

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.2-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jul  6 2012 Joe Orton <jorton@redhat.com> - 2.4.2-21
- drop explicit version requirement on initscripts

* Thu Jul  5 2012 Joe Orton <jorton@redhat.com> - 2.4.2-20
- mod_ext_filter: fix error_log warnings

* Mon Jul  2 2012 Joe Orton <jorton@redhat.com> - 2.4.2-19
- support "configtest" and "graceful" as initscripts "legacy actions"

* Fri Jun  8 2012 Joe Orton <jorton@redhat.com> - 2.4.2-18
- avoid use of "core" GIF for a "core" directory (#168776)
- drop use of "syslog.target" in systemd unit file

* Thu Jun  7 2012 Joe Orton <jorton@redhat.com> - 2.4.2-17
- use _unitdir for systemd unit file
- use /run in unit file, ssl.conf

* Thu Jun  7 2012 Joe Orton <jorton@redhat.com> - 2.4.2-16
- mod_ssl: fix NPN patch merge

* Wed Jun  6 2012 Joe Orton <jorton@redhat.com> - 2.4.2-15
- move tmpfiles.d fragment into /usr/lib per new guidelines
- package /run/httpd not /var/run/httpd
- set runtimedir to /run/httpd likewise

* Wed Jun  6 2012 Joe Orton <jorton@redhat.com> - 2.4.2-14
- fix htdbm/htpasswd crash on crypt() failure (#818684)

* Wed Jun  6 2012 Joe Orton <jorton@redhat.com> - 2.4.2-13
- pull fix for NPN patch from upstream (r1345599)

* Thu May 31 2012 Joe Orton <jorton@redhat.com> - 2.4.2-12
- update suexec patch to use LOG_AUTHPRIV facility

* Thu May 24 2012 Joe Orton <jorton@redhat.com> - 2.4.2-11
- really fix autoindex.conf (thanks to remi@)

* Thu May 24 2012 Joe Orton <jorton@redhat.com> - 2.4.2-10
- fix autoindex.conf to allow symlink to poweredby.png

* Wed May 23 2012 Joe Orton <jorton@redhat.com> - 2.4.2-9
- suexec: use upstream version of patch for capability bit support

* Wed May 23 2012 Joe Orton <jorton@redhat.com> - 2.4.2-8
- suexec: use syslog rather than suexec.log, drop dac_override capability

* Tue May  1 2012 Joe Orton <jorton@redhat.com> - 2.4.2-7
- mod_ssl: add TLS NPN support (r1332643, #809599)

* Tue May  1 2012 Joe Orton <jorton@redhat.com> - 2.4.2-6
- add BR on APR >= 1.4.0

* Fri Apr 27 2012 Joe Orton <jorton@redhat.com> - 2.4.2-5
- use systemctl from logrotate (#221073)

* Fri Apr 27 2012 Joe Orton <jorton@redhat.com> - 2.4.2-4
- pull from upstream:
  * use TLS close_notify alert for dummy_connection (r1326980+)
  * cleanup symbol exports (r1327036+)

* Fri Apr 27 2012 Joe Orton <jorton@redhat.com> - 2.4.2-3.2
- rebuild

* Fri Apr 20 2012 Joe Orton <jorton@redhat.com> - 2.4.2-3
- really fix restart

* Fri Apr 20 2012 Joe Orton <jorton@redhat.com> - 2.4.2-2
- tweak default ssl.conf
- fix restart handling (#814645)
- use graceful restart by default

* Wed Apr 18 2012 Jan Kaluza <jkaluza@redhat.com> - 2.4.2-1
- update to 2.4.2

* Fri Mar 23 2012 Joe Orton <jorton@redhat.com> - 2.4.1-6
- fix macros

* Fri Mar 23 2012 Joe Orton <jorton@redhat.com> - 2.4.1-5
- add _httpd_moddir to macros

* Tue Mar 13 2012 Joe Orton <jorton@redhat.com> - 2.4.1-4
- fix symlink for poweredby.png
- fix manual.conf

* Tue Mar 13 2012 Joe Orton <jorton@redhat.com> - 2.4.1-3
- add mod_proxy_html subpackage (w/mod_proxy_html + mod_xml2enc)
- move mod_ldap, mod_authnz_ldap to mod_ldap subpackage

* Tue Mar 13 2012 Joe Orton <jorton@redhat.com> - 2.4.1-2
- clean docroot better
- ship proxy, ssl directories within /var/cache/httpd
- default config:
 * unrestricted access to (only) /var/www
 * remove (commented) Mutex, MaxRanges, ScriptSock
 * split autoindex config to conf.d/autoindex.conf
- ship additional example configs in docdir

* Tue Mar  6 2012 Joe Orton <jorton@redhat.com> - 2.4.1-1
- update to 2.4.1
- adopt upstream default httpd.conf (almost verbatim)
- split all LoadModules to conf.modules.d/*.conf
- include conf.d/*.conf at end of httpd.conf
- trim %%changelog

* Mon Feb 13 2012 Joe Orton <jorton@redhat.com> - 2.2.22-2
- fix build against PCRE 8.30

* Mon Feb 13 2012 Joe Orton <jorton@redhat.com> - 2.2.22-1
- update to 2.2.22

* Fri Feb 10 2012 Petr Pisar <ppisar@redhat.com> - 2.2.21-8
- Rebuild against PCRE 8.30

* Mon Jan 23 2012 Jan Kaluza <jkaluza@redhat.com> - 2.2.21-7
- fix #783629 - start httpd after named

* Mon Jan 16 2012 Joe Orton <jorton@redhat.com> - 2.2.21-6
- complete conversion to systemd, drop init script (#770311)
- fix comments in /etc/sysconfig/httpd (#771024)
- enable PrivateTmp in service file (#781440)
- set LANG=C in /etc/sysconfig/httpd

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.21-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Jan Kaluza <jkaluza@redhat.com> - 2.2.21-4
- fix #751591 - start httpd after remote-fs

* Mon Oct 24 2011 Jan Kaluza <jkaluza@redhat.com> - 2.2.21-3
- allow change state of BalancerMember in mod_proxy_balancer web interface

* Thu Sep 22 2011 Ville Skyttä <ville.skytta@iki.fi> - 2.2.21-2
- Make mmn available as %%{_httpd_mmn}.
- Add .svgz to AddEncoding x-gzip example in httpd.conf.

* Tue Sep 13 2011 Joe Orton <jorton@redhat.com> - 2.2.21-1
- update to 2.2.21

* Mon Sep  5 2011 Joe Orton <jorton@redhat.com> - 2.2.20-1
- update to 2.2.20
- fix MPM stub man page generation

* Wed Aug 10 2011 Jan Kaluza <jkaluza@redhat.com> - 2.2.19-5
- fix #707917 - add httpd-ssl-pass-dialog to ask for SSL password using systemd

* Fri Jul 22 2011 Iain Arnell <iarnell@gmail.com> 1:2.2.19-4
- rebuild while rpm-4.9.1 is untagged to remove trailing slash in provided
  directory names

* Wed Jul 20 2011 Jan Kaluza <jkaluza@redhat.com> - 2.2.19-3
- fix #716621 - suexec now works without setuid bit

* Thu Jul 14 2011 Jan Kaluza <jkaluza@redhat.com> - 2.2.19-2
- fix #689091 - backported patch from 2.3 branch to support IPv6 in logresolve

* Fri Jul  1 2011 Joe Orton <jorton@redhat.com> - 2.2.19-1
- update to 2.2.19
- enable dbd, authn_dbd in default config

* Thu Apr 14 2011 Joe Orton <jorton@redhat.com> - 2.2.17-13
- fix path expansion in service files

* Tue Apr 12 2011 Joe Orton <jorton@redhat.com> - 2.2.17-12
- add systemd service files (#684175, thanks to Jóhann B. Guðmundsson)

* Wed Mar 23 2011 Joe Orton <jorton@redhat.com> - 2.2.17-11
- minor updates to httpd.conf
- drop old patches

* Wed Mar  2 2011 Joe Orton <jorton@redhat.com> - 2.2.17-10
- rebuild

* Wed Feb 23 2011 Joe Orton <jorton@redhat.com> - 2.2.17-9
- use arch-specific mmn

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.17-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 31 2011 Joe Orton <jorton@redhat.com> - 2.2.17-7
- generate dummy mod_ssl cert with CA:FALSE constraint (#667841)
- add man page stubs for httpd.event, httpd.worker
- drop distcache support
- add STOP_TIMEOUT support to init script

* Sat Jan  8 2011 Joe Orton <jorton@redhat.com> - 2.2.17-6
- update default SSLCipherSuite per upstream trunk

* Wed Jan  5 2011 Joe Orton <jorton@redhat.com> - 2.2.17-5
- fix requires (#667397)

* Wed Jan  5 2011 Joe Orton <jorton@redhat.com> - 2.2.17-4
- de-ghost /var/run/httpd

* Tue Jan  4 2011 Joe Orton <jorton@redhat.com> - 2.2.17-3
- add tmpfiles.d configuration, ghost /var/run/httpd (#656600)

* Sat Nov 20 2010 Joe Orton <jorton@redhat.com> - 2.2.17-2
- drop setuid bit, use capabilities for suexec binary

* Wed Oct 27 2010 Joe Orton <jorton@redhat.com> - 2.2.17-1
- update to 2.2.17

* Fri Sep 10 2010 Joe Orton <jorton@redhat.com> - 2.2.16-2
- link everything using -z relro and -z now

* Mon Jul 26 2010 Joe Orton <jorton@redhat.com> - 2.2.16-1
- update to 2.2.16

* Fri Jul  9 2010 Joe Orton <jorton@redhat.com> - 2.2.15-3
- default config tweaks:
 * harden httpd.conf w.r.t. .htaccess restriction (#591293)
 * load mod_substitute, mod_version by default
 * drop proxy_ajp.conf, load mod_proxy_ajp in httpd.conf
 * add commented list of shipped-but-unloaded modules
 * bump up worker defaults a little
 * drop KeepAliveTimeout to 5 secs per upstream
- fix LSB compliance in init script (#522074)
- bundle NOTICE in -tools
- use init script in logrotate postrotate to pick up PIDFILE
- drop some old Obsoletes/Conflicts

* Sun Apr 04 2010 Robert Scheck <robert@fedoraproject.org> - 2.2.15-1
- update to 2.2.15 (#572404, #579311)

